summaryrefslogtreecommitdiff
path: root/eclass/texlive-module.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-12-14 02:02:08 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-12-14 02:02:08 +0000
commit59d772d9463f8cf6a145a677bedbf377a0625aff (patch)
tree5a0e382968fd656a056c886e36cfb4491535b489 /eclass/texlive-module.eclass
parent2a3e0d61b3d88306b6fae46756f9ba7d230222ae (diff)
gentoo auto-resync : 14:12:2024 - 02:02:07
Diffstat (limited to 'eclass/texlive-module.eclass')
-rw-r--r--eclass/texlive-module.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index ebd65e3dd0d8..15dcdea5df20 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -539,10 +539,10 @@ texlive-module_src_install() {
local status
# "success-status aware grep", returning exit status 0 instead of 1.
- _sgrep() { grep "$@"; return "$(( $? <= 1 ? 0 : $? ))"; }
+ _tl_sgrep() { grep "$@"; return "$(( $? <= 1 ? 0 : $? ))"; }
ebegin "Installing man pages"
find texmf-dist/doc/man -type f -name '*.[0-9n]' -print |
- _sgrep -v "${grep_expressions[@]}" |
+ _tl_sgrep -v "${grep_expressions[@]}" |
xargs -d '\n' --no-run-if-empty nonfatal doman
status=$(pipestatus -v)
eend $? || die "error installing man pages (PIPESTATUS: ${status})"